module error
  implicit none
  private

  contains

  subroutine register
    use pptr, only : register_initialize, initialize_t
    procedure(initialize_t), pointer :: initialize_p
  continue
    initialize_p => initialize
    call register_initialize( initialize_p )
  end subroutine register

  subroutine initialize()
    write(*,*) 'In initialize()'
  end subroutine initialize
  
end module error
